package com.zhibao.crm.cms.entity.base;

import com.jfinal.plugin.activerecord.IBean;
import com.jfinal.plugin.activerecord.Model;
import java.util.Date;

public abstract class BaseSite extends Model implements IBean {

   public BaseSite setId(Integer id) {
      this.set("id", id);
      return this;
   }

   public Integer getId() {
      return this.getInt("id");
   }

   public BaseSite setCreateDate(Date createDate) {
      this.set("createDate", createDate);
      return this;
   }

   public Date getCreateDate() {
      return (Date)this.get("createDate");
   }

   public BaseSite setUpdateDate(Date updateDate) {
      this.set("updateDate", updateDate);
      return this;
   }

   public Date getUpdateDate() {
      return (Date)this.get("updateDate");
   }

   public BaseSite setProtocol(String protocol) {
      this.set("protocol", protocol);
      return this;
   }

   public String getProtocol() {
      return this.getStr("protocol");
   }

   public BaseSite setTemplate(String template) {
      this.set("template", template);
      return this;
   }

   public String getTemplate() {
      return this.getStr("template");
   }

   public BaseSite setIsDefault(Boolean isDefault) {
      this.set("isDefault", isDefault);
      return this;
   }

   public Boolean getIsDefault() {
      return (Boolean)this.get("isDefault");
   }

   public BaseSite setName(String name) {
      this.set("name", name);
      return this;
   }

   public String getName() {
      return this.getStr("name");
   }

   public BaseSite setCat(String cat) {
      this.set("cat", cat);
      return this;
   }

   public String getCat() {
      return this.getStr("cat");
   }

   public BaseSite setDomain(String domain) {
      this.set("domain", domain);
      return this;
   }

   public String getDomain() {
      return this.getStr("domain");
   }
}
